# eric3.UI.TemplatePropertiesDialog

Module implementing the templates properties dialog.

### Classes

TemplatePropertiesDialog | Class implementing the templates properties dialog.

### Functions

None

## TemplatePropertiesDialog

Class implementing the templates properties dialog.

### Derived from

TemplatePropertiesForm

### Methods

TemplatePropertiesDialog | Constructor
getData | Public method to get the data entered into the dialog.
handleHelp | Public slot to show some help.
setSelectedGroup | Public method to select a group.

### TemplatePropertiesDialog (Constructor)

TemplatePropertiesDialog(parent, groupMode = 0, itm = None)

Constructor

parent
  the parent widget (QWidget)
groupMode
  flag indicating group mode (boolean)
itm
  item (TemplateEntry or TemplateGroup) to read the data from

### TemplatePropertiesDialog.getData

getData()

Public method to get the data entered into the dialog.

Returns:
  a tuple of two strings (name, language), if the dialog is in group mode, and a tuple of three strings (name, group name, template) otherwise.

### TemplatePropertiesDialog.handleHelp

handleHelp()

Public slot to show some help.

### TemplatePropertiesDialog.setSelectedGroup

setSelectedGroup(name)

Public method to select a group.

name
  name of the group to be selected (string or QString)

Up